Subject: Re: [PATCH] ob-sql: session

From: Michael Mauger <[email-masked]>
Date: Sun, 15 Jun 2025 20:59:13 +0000

On Sunday, June 15th, 2025 at 3:16 PM, Phil Estival <[email-masked]> wrote:

> I also took good note of Michael remarks. 
> The attached series of patches will work
> without any modification to sql.el. I'll introduce later a local
> `sql-connection' bound to the session name. In the absence of it,
> sessions will work, but will ask to confirm provided connection
> parameter upon establishing connection.
> 

Wouldn't the SQLi buffer created by sql-connect be the session? At least in sql.el, when it uses either sql-connect or sql-product-interactive, all the buffers are scanned to for the desired connection settings and switch to the matching buffer rather than creating a new buffer. 

I am trying to cleanup sql.el 2.x before I do a more significant rewrite for sql.el 3.0.  The update will include sql-add-connection which cleanly adds an entry to sql-connection-alist and the ability to call sql-connect with with the connection settings themselves rather than the connection name.  Hopefully those will simplify the integrations that you need. 

And please let me know if you are not getting the behavior you want, or if you are working around something that I ought to look at....

-- 
[email-masked] // FSF and SFConservancy // GNU Emacs sql.el maintainer